All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::generator_not_supported_exception Class Reference

Exception for the case the generator is unable to deal with the operation. More...

`#include <forwards.h>`

Inheritance diagram for viennacl::device_specific::generator_not_supported_exception:

## Public Member Functions

| generator_not_supported_exception ()
| generator_not_supported_exception (std::string message)
virtual const char * | what () const throw ()
virtual | ~generator_not_supported_exception () throw ()

## Detailed Description

Exception for the case the generator is unable to deal with the operation.

Definition at line 163 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::device_specific::generator_not_supported_exception::generator_not_supported_exception | ( |  | ) |

inline

Definition at line 166 of file forwards.h.

viennacl::device_specific::generator_not_supported_exception::generator_not_supported_exception | ( | std::string | message | ) |

inline

Definition at line 167 of file forwards.h.

virtual viennacl::device_specific::generator_not_supported_exception::~generator_not_supported_exception | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 169 of file forwards.h.

## Member Function Documentation

virtual const char* viennacl::device_specific::generator_not_supported_exception::what | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Definition at line 168 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/device_specific/forwards.h